<?php
require_once dirname(__FILE__) . '/class.cropcanvas.php';
class cropInterface extends canvasCrop {
				var $file;
				var $img;
				var $crop;
				var $useFilter;

				/**
				 * 
				 * @return cropInterface 
				 * @param bool $debug 
				 * @desc Class initializer
				 */
				function cropInterface($debug = false)
				{
								parent::canvasCrop($debug);

								$this->img = array();
								$this->crop = array();
								$this->useFilter = false;

								$agent = trim($_SERVER['HTTP_USER_AGENT']);
								if ((stristr($agent, 'wind') || stristr($agent, 'winnt')) && (preg_match('|MSIE ([0-9.]+)|', $agent) || preg_match('|Internet Explorer/([0-9.]+)|', $agent))) {
												$this->useFilter = true;
								} else {
												$this->useFilter = false;
								} 
								$this->setResizing();
								$this->setCropMinSize();
				} 

				/**
				 * 
				 * @return void 
				 * @param unknown $do 
				 * @desc Sets whether you want resizing options for the cropping area.
				 * This is handy to use in conjunction with the setCropSize function if you want a set cropping size.
				 */
				function setResizing($do = true)
				{
								$this->crop['resize'] = ($do) ? true : false;
				} 

				/**
				 * 
				 * @return void 
				 * @param int $w 
				 * @param int $h 
				 * @desc Sets the initial size of the cropping area.
				 * If this is not specifically set, then the cropping size will be a fifth of the image size.
				 */
				function setCropDefaultSize($w, $h)
				{
								if ($w > 600)
												$w = 600;
								if ($_GET['act'] == "tx") {
												$this->crop['width'] = 40;
												$this->crop['height'] = 2;
								} else {
												$this->crop['width'] = ($w < 5) ? 5 : $w;
												$this->crop['height'] = ($h < 5) ? 5 : $h;
								} 
				} 

				/**
				 * 
				 * @return void 
				 * @param int $w 
				 * @param int $h 
				 * @desc Sets the minimum size the crop area can be
				 */
				function setCropMinSize($w = 25, $h = 25)
				{
								$this->crop['min-width'] = ($w < 5) ? 5 : $w;
								$this->crop['min-height'] = ($h < 5) ? 5 : $h;
				} 

				/**
				 * 
				 * @return void 
				 * @param string $filename 
				 * @desc Load the cropping interface
				 */
				function loadInterfaceCrop($filename, $imagenametodisplay)
				{
								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename);

												if (!$this->crop['width'] || !$this->crop['height']) {
																$this->setCropDefaultSize(($this->img['sizes'][0] / 5), ($this->img['sizes'][1] / 5));
												} 
												if ($this->crop['width'] > 450) {
																$this->crop['width'] = 450;
												} 

												$tmpfile = NewimageCreatefromtype($this->file);
												$rgb = imagecolorat($tmpfile, 0, 0);
												$r = ($rgb >> 16) &0xFF;
												$g = ($rgb >> 8) &0xFF;
												$b = $rgb &0xFF;

												/* if color is balck layercolor will be white
												   *  otherwsie check for red color code in color and if it is <150 layercolor will be white otherwise black
												   */
												if ($r == 0 and $g == 0 and $b == 0) {
																$layercolor = "white";
												} else if ($r == 0) {
																$layercolor = "black";
												} else if ($r <= 150) {
																$layercolor = "white";
												} else if ($r > 150) {
																$layercolor = "black";
												} 
								} 
								$info = _get_browser();
								if ($info[browser] == "MSIE") {
												$styleremaining = ";filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='transbg.png',sizingMethod='scale')";
								} else {
												$styleremaining = ";background-image:url(transbg.png)";
								} 
								if ($this->img['sizes'][0] < 50 or $this->img['sizes'][1] < 50) {
								                $disablecrop="YES";  
												//echo "<table><tr><td class=maintext><font color=red>Image size is too small.You cannot crop this image again</font> </td></tr></table>";
												echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=outertablebgcolor>";

												echo "<tr>
                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
                                            </tr>
                                            <tr>
                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                                                <tr>
                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
                                                <tr>
                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\" >";
												echo '<tr><td><img  id=cropimage  src="', $this->file, '" ', $this->img['sizes'][3], ' alt="crop this image" name="theImage"></td></tr>', "\n";

												echo " </table></td>
                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
												
                                              </table>";
												echo "\n</table>\n";
								} else {
								               $disablecrop="NO";
												echo '<script type="text/javascript" src="./includes/wz_dragdrop.js"></script>', "\n"; 
												// echo '<div id="theCrop" style="position:absolute;background-color:transparent;border:4px solid  ', $layercolor, ';width:', $this->crop['width'], 'px;height:', $this->crop['height'], 'px;';
												
												echo "<div id=\"theCrop\" style=\"position:absolute;background-color:transparent;border:4px solid  " . $layercolor . ";width:" . $this->crop['width'] . "px;height:" . $this->crop['height'] . "px$styleremaining;\">"; 
												// echo "<div id=\"theCrop\" style=\"position:absolute;background-color:transparent;border:1px solid yellow;width:100px;height:100px;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='register.gif',sizingMethod='scale');\"></div>";
												echo "<form name=frmtxtval ><input  type=hidden name=action id=action value=cr></div>\n";
												
												
												echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=outertablebgcolor>";
												
												echo "<tr>
                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
                                            </tr>
                                            <tr>
                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                                                <tr>
                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
                                                <tr>
                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\" >";
												echo '<tr><td><img id=cropimage style="filter:progid:DXImageTransform.Microsoft.Alpha(opacity=10);"  src="', $this->file, '" ', $this->img['sizes'][3], ' alt="crop this image" name="theImage"></td></tr>', "\n";

												echo " </table></td>
                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
												
                                              </table>"; 
												// echo '<tr><td><input type="button" value="crop the image" class=button id="submit" onClick="my_Submit();"></td></tr>';
												echo "\n</table>\n";
												
								}
								return  $disablecrop;
				} 
				function loadInterfaceText($filename, $imagenametodisplay)
				{
								$fontsize = "<select name=cmbfontsize id=cmbfontsize class=selectbox>";
								for($i = 10;$i < 50;$i++) {
												$fontsize .= "<option value=$i>$i</option>";
								} 
								
								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename); 
												// if($this->img['sizes'][0]>450 and $this->img['sizes'][1]>450
												$tmpfile = NewimageCreatefromtype($this->file);
												$rgb = imagecolorat($tmpfile, 0, 0);
												$r = ($rgb >> 16) &0xFF;
												$g = ($rgb >> 8) &0xFF;
												$b = $rgb &0xFF;

												/* if color is balck layercolor will be white
												   *  otherwsie check for red color code in color and if it is <150 layercolor will be white otherwise black
												   */
												if ($r == 0 and $g == 0 and $b == 0) {
																$layercolor = "white";
												} else if ($r == 0) {
																$layercolor = "black";
												} else if ($r <= 150) {
																$layercolor = "white";
												} else if ($r > 150) {
																$layercolor = "black";
												} 

												$this->setCropDefaultSize(70, 70);

												if ($this->crop['width'] > 450) {
																$this->crop['width'] = 450;
												} 
								} 

								if ($this->img['sizes'][0] < 100 or $this->img['sizes'][1] < 100) {
								                $disabletext="YES";
												//echo "<table><tr><td class=maintext><font color=red>Image size is too small.You cannot add text on this image</font> </td></tr></table>";
												echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo "<tr>
			                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
			                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
			                                            </tr>
			                                            <tr>
			                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			                                                <tr>
			                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
			                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
			                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Add Text " name="theImage"></td></tr>', "\n";
												echo " </table></td>
			                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
			                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
															
			                                              </table>";
														  echo "\n</table>\n";
								} else {
								                $disabletext="NO";
												$txtboxrow = 3;
												$txtboxcols = 3;

												echo '<script type="text/javascript" src="./includes/wz_dragdrop.js"></script>', "\n";
												echo '<div id="theCrop" style="position:absolute;background-color:transparent;border:4px solid ', $layercolor, ';width:', $this->crop['width'], 'px;height:', $this->crop['height'], 'px;';
												echo "\"><form name=frmtxtvalnew method=post action=imageedit.php onsubmit=\"my_Submittext(this);\">";

												echo "<textarea name=textval id=textval cols=$txtboxcols rows=$txtboxrow></textarea></div>\n";
												echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo "<tr>
			                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
			                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
			                                            </tr>
			                                            <tr>
			                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			                                                <tr>
			                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
			                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
			                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Add Text " name="theImage"></td></tr>', "\n";
												echo " </table></td>
			                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
			                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
															
			                                              </table>"; 
												// echo '<tr><td><input type="button" value="crop the image" class=button id="submit" onClick="my_Submit();"></td></tr>';
												echo "\n</table>\n";
								} 
								return $disabletext;
				} 
				function loadInterfaceNotes($filename, $imagenametodisplay)
				{
								
								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename); 
												// if($this->img['sizes'][0]>450 and $this->img['sizes'][1]>450
												$tmpfile = NewimageCreatefromtype($this->file);
												$rgb = imagecolorat($tmpfile, 0, 0);
												$r = ($rgb >> 16) &0xFF;
												$g = ($rgb >> 8) &0xFF;
												$b = $rgb &0xFF;

												/* if color is balck layercolor will be white
												   *  otherwsie check for red color code in color and if it is <150 layercolor will be white otherwise black
												   */
												if ($r == 0 and $g == 0 and $b == 0) {
																$layercolor = "white";
												} else if ($r == 0) {
																$layercolor = "black";
												} else if ($r <= 150) {
																$layercolor = "white";
												} else if ($r > 150) {
																$layercolor = "black";
												} 

												$this->setCropDefaultSize(70, 70);

												if ($this->crop['width'] > 450) {
																$this->crop['width'] = 450;
												} 
								} 

								if ($this->img['sizes'][0] < 100 or $this->img['sizes'][1] < 100) {
								                $disabletext="YES";
												//echo "<table><tr><td class=maintext><font color=red>Image size is too small.You cannot add text on this image</font> </td></tr></table>";
												echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo "<tr>
			                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
			                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
			                                            </tr>
			                                            <tr>
			                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			                                                <tr>
			                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
			                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
			                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
												echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Add Text " name="theImage"></td></tr>', "\n";
												echo " </table></td>
			                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
			                                                </tr>
			                                                <tr>
			                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
			                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
			                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
			                                                </tr>
															
			                                              </table>";
														  echo "\n</table>\n";
								} else {
								                $disabletext="NO";
												$txtboxrow = 3;
												$txtboxcols = 3;

												echo '<link href="includes/StyleSheet.css" rel="stylesheet" type="text/css">', "\n";
												echo '<link href="includes/Photos.css" rel="stylesheet" type="text/css">', "\n";
												echo '<script src="includes/PhotoNotes.js" type="text/javascript"></script>', "\n";
												echo '<link href="includes/PhotoNotes.css" rel="stylesheet" type="text/css">', "\n";
												
												echo '<form name="theform" method="post" action="" onsubmit="javascript:return WebForm_OnSubmit();" id="theform">';
												echo "<div>";
												echo '<table width="100%"  border="0" cellspacing="0" cellpadding="0">';
												echo '<tr><td align="center">';
												
												echo '<input name="__EVENTTARGET" id="__EVENTTARGET" value="" type="hidden">';
												echo '<input name="__EVENTARGUMENT" id="__EVENTARGUMENT" value="" type="hidden">';
												echo '<input type="hidden" name="left" id="left" />';
												echo '<input type="hidden" name="top" id="top" />';
												echo '<input type="hidden" name="width" id="width" />';
												echo '<input type="hidden" name="height" id="height" />';
												echo '<input type="hidden" name="message" id="message" />';
												echo '<input type="hidden" name="deletenode" id="deletenode" /></div>';
												
												echo '<div id="MainColumn"><div class="Photo fn-container" id="PhotoContainer">';
												echo '<img src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Add Notes " galleryimg="no"></div>';
												echo '</td></tr><tr><td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
												echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
												echo ' </div></td></tr></table></form>';
												
												
												
								} 
				} 

				function loadInterfaceFilter($filename, $imagenametodisplay)
				{
								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename);

												$this->setCropDefaultSize(5, 5);
								} 
								echo '<script type="text/javascript" src="./includes/wz_dragdrop.js"></script>', "\n"; 
								// echo "<form name=frmrotate ><input  type=hidden name=action id=action value=cr>\n";
								echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo "<tr>
                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
                                            </tr>
                                            <tr>
                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                                                <tr>
                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
                                                <tr>
                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Apply Filter" name="theImage"></td></tr>', "\n";
								echo " </table></td>
                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
												
                                              </table>";
								echo "\n</table>\n";
				} 
				function loadInterfaceResize($filename, $imagenametodisplay)
				{
								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename);

												$this->setCropDefaultSize(5, 5);
								} 
								echo '<script type="text/javascript" src="./includes/wz_dragdrop.js"></script>', "\n"; 
								// echo "<form name=frmrotate ><input  type=hidden name=action id=action value=cr>\n";
								echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo "<tr>
                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
                                            </tr>
                                            <tr>
                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                                                <tr>
                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
                                                <tr>
                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="Resize" name="theImage"></td></tr>', "\n";
								echo " </table></td>
                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
												
                                              </table>";
								echo "\n</table>\n";
				} 
				function loadInterfaceRotate($filename, $imagenametodisplay)
				{
								$rotatecmb = "<select id=cmbrotate class=selectbox>";
								for($i = 1;$i < 360;$i++) {
												$rotatecmb .= "<option value=$i>$i</option>";
								} 
								$rotatecmb .= "</select>";

								if (!file_exists($filename)) {
												die("The file '$filename' cannot be found.");
								} else {
												$this->file = $filename;
												$this->img['sizes'] = @getimagesize($filename);

												$this->setCropDefaultSize(5, 5);
								} 

								echo '<script type="text/javascript" src="./includes/wz_dragdrop.js"></script>', "\n";

								echo "<form name=frmrotate ><input  type=hidden name=action id=action value=cr>\n";
								echo "<table width=\"10%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo "<tr>
                                              <td width=\"76%\" align=\"center\">&nbsp;</td>
                                              <td width=\"24%\" align=\"center\">&nbsp;</td>
                                            </tr>
                                            <tr>
                                              <td align=\"center\"><table width=\"15%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
                                                <tr>
                                                  <td width=\"19%\"><img src=\"images/cr1.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td width=\"66%\" background=\"images/cr5.jpg\">&nbsp;</td>
                                                  <td width=\"15%\" align=\"right\"><img src=\"images/cr2.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
                                                <tr>
                                                  <td height=\"65\" background=\"images/cr6.jpg\">&nbsp;</td>
                                                  <td align=\"center\"><table width=\"82%\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
								echo '<tr><td><img id=cropimage src="', $this->file, '" ', $this->img['sizes'][3], ' alt="crop this image" name="theImage"></td></tr>', "\n";
								echo " </table></td>
                                                  <td align=\"right\" background=\"images/cr9.jpg\">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                  <td height=\"19\" align=\"left\" valign=\"bottom\"><img src=\"images/cr4.jpg\" width=\"23\" height=\"24\"></td>
                                                  <td background=\"images/cr7.jpg\">&nbsp;</td>
                                                  <td align=\"right\" valign=\"top\"><img src=\"images/cr3.jpg\" width=\"23\" height=\"24\"></td>
                                                </tr>
												
                                              </table>";
								echo "\n</table>\n";
				} 

				/**
				 * 
				 * @return void 
				 * @desc Load the javascript required for a functional interface.
				 * This MUST be called at the very end of all your HTML, just before the closing body tag.
				 */
				function loadJavaScript()
				{
								//$params = '"theCrop"+MAXOFFLEFT+0+MAXOFFRIGHT+' . $this->img['sizes'][0] . '+MAXOFFTOP+0+MAXOFFBOTTOM+' . $this->img['sizes'][1] . ($this->crop['resize'] ? '+RESIZABLE' : '') . '+MAXWIDTH+' . $this->img['sizes'][0] . '+MAXHEIGHT+' . $this->img['sizes'][1] . '+MINHEIGHT+' . $this->crop['min-height'] . '+MINWIDTH+' . $this->crop['min-width'] . ',CURSOR_HAND,"theImage"+TRANSPARENT+NO_DRAG'; 
								$params = '"theCrop"+MAXOFFLEFT+0+MAXOFFRIGHT+' . $this->img['sizes'][0] . '+MAXOFFTOP+0+MAXOFFBOTTOM+' . $this->img['sizes'][1] . ($this->crop['resize'] ? '+RESIZABLE' : '') . '+MAXWIDTH+' . $this->img['sizes'][0] . '+MAXHEIGHT+' . $this->img['sizes'][1] . '+MINHEIGHT+' . $this->crop['min-height'] . '+MINWIDTH+' . $this->crop['min-width'] . ',CURSOR_HAND,"theImage"+NO_DRAG'; 
								// $params = '"theCrop"+MAXOFFLEFT+0+MAXOFFRIGHT+' . $this->img['sizes'][0] . '+MAXOFFTOP+0+MAXOFFBOTTOM+' . $this->img['sizes'][1] . ($this->crop['resize'] ? '+RESIZABLE' : '') . '+MAXWIDTH+' . $this->img['sizes'][0] . '+MAXHEIGHT+' . $this->img['sizes'][1] . '+MINHEIGHT+' . $this->crop['min-height'] . '+MINWIDTH+' . $this->crop['min-width'] . ',CURSOR_HAND,"theImage"+NO_DRAG';
								// $params = '"theCrop"+MAXOFFLEFT+0+MAXOFFRIGHT+' . $this->img['sizes'][0] . '+MAXOFFTOP+0+MAXOFFBOTTOM+' . $this->img['sizes'][1] . ($this->crop['resize'] ? '+RESIZABLE' : '') . '+MAXWIDTH+' . $this->img['sizes'][0] . '+MAXHEIGHT+' . $this->img['sizes'][1] . '+MINHEIGHT+' . $this->crop['min-height'] . '+MINWIDTH+' . $this->crop['min-width'] . ',CURSOR_HAND';
								echo <<< EOT
<script type="text/javascript">
<!--

	SET_DHTML($params);
    
	dd.elements.theCrop.moveTo(dd.elements.theImage.x, dd.elements.theImage.y);
	dd.elements.theCrop.setZ(dd.elements.theImage.z+1);
	dd.elements.theImage.addChild("theCrop");
	dd.elements.theCrop.defx = dd.elements.theImage.x;
	
	
	function my_DragFunc()
	{
	
		dd.elements.theCrop.maxoffr = dd.elements.theImage.w - dd.elements.theCrop.w;
		dd.elements.theCrop.maxoffb = dd.elements.theImage.h - dd.elements.theCrop.h;
		dd.elements.theCrop.maxw    = {$this->img['sizes'][0]};
		dd.elements.theCrop.maxh    = {$this->img['sizes'][1]};
	}

	function my_ResizeFunc()
	{
	
		dd.elements.theCrop.maxw = (dd.elements.theImage.w + dd.elements.theImage.x) - dd.elements.theCrop.x;
		dd.elements.theCrop.maxh = (dd.elements.theImage.h + dd.elements.theImage.y) - dd.elements.theCrop.y;
	}
	
	function my_Submit()
	{   
	   
			
			
		    self.location.href = '{$_SERVER['PHP_SELF']}?&action=crop&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	}
	function my_Submittext(frm)
	{ 
	
	       var txtvalue,k; 
		   document.getElementById('htextval').value=document.getElementById('textval').value;
		   //alert(txtvalue);
		   document.getElementById('hfontcolor').value=document.getElementById('yourcol').value
		   document.getElementById('hsx').value=dd.elements.theCrop.x - dd.elements.theImage.x;
		   document.getElementById('hsy').value=dd.elements.theCrop.y - dd.elements.theImage.y;
		   document.getElementById('hfile').value='{$this->file}';
		   document.getElementById('haction').value='addtext';
		   return true;
		
			
	}
	function my_Submitfilterbrightness(frm)
	{   
	        var filtervalue;
	        brvalue=document.getElementById('brighnesscmb').value;
			brdir=document.getElementById('brdire').value;
			filtervalue="BR";
			//alert(brdir);
			
		    self.location.href = '{$_SERVER['PHP_SELF']}?&action=applyfilter&dir='+brdir+'&filtervalue='+filtervalue+'&brvalue='+brvalue+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	} 
	function my_Submitfiltercontrast(frm){
	        var filtervalue;
	        crvalue=document.getElementById('contrastcmb').value;
			crdir=document.getElementById('crdire').value;
			filtervalue="CO";
			//alert(filtervalue);
			
		    self.location.href = '{$_SERVER['PHP_SELF']}?&action=applyfilter&dir='+crdir+'&filtervalue='+filtervalue+'&crvalue='+crvalue+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
	
	}
	
	function my_Submitfiltereffects()
	{    
	        var filtervalue;
	        filtervalue=document.getElementById('cmbfiltertype').value;
			
			colorval=document.getElementById('yourcole').value;
			
		    self.location.href = '{$_SERVER['PHP_SELF']}?&action=applyfilter&colorcode='+colorval+'&filtervalue='+filtervalue+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	}
	function my_Submitrotate()
	{   
	        var rotatevalue;
	       rotatevalue=document.getElementById('cmbrotate').value;
		   
 	        self.location.href = '{$_SERVER['PHP_SELF']}?&action=rotate&rotatevalue='+rotatevalue+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	}
	function my_Submitflip()
	{   
	       var flipdirection;
	       flipdirection=document.getElementById('cmbflip').value;
		   //alert(flipdirection);
 	        self.location.href = '{$_SERVER['PHP_SELF']}?&action=flip&direction='+flipdirection+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	}
	
	function my_SubmitResize()
	{   
	        var rezheight;
		   var rezwidth;
		   var rezheight1;
		   var rezwidth1;
		   
		   if(document.getElementById('rezwidth').value!="" && document.getElementById('rezwidth1').value=="0"){
	       		rezwidth=document.getElementById('rezwidth').value;
			}
			else if(document.getElementById('rezwidth').value=="" && document.getElementById('rezwidth1').value!="0"){
				rezwidth1=document.getElementById('rezwidth1').value;}
			 if(document.getElementById('rezheight').value!="" && document.getElementById('rezheight1').value=="0"){
			 		rezheight=document.getElementById('rezheight').value;
			 }else if(document.getElementById('rezheight').value=="" && document.getElementById('rezheight1').value!="0"){
			 		rezheight1=document.getElementById('rezheight1').value;}
		   
			 
		   //alert(flipdirection);
 	        self.location.href = '{$_SERVER['PHP_SELF']}?&action=resize&resizeclicked=tr&rheight='+rezheight+'&rwidth='+rezwidth+'&rheight1='+rezheight1+'&rwidth1='+rezwidth1+'&file={$this->file}&sx=' + 
			(dd.elements.theCrop.x - dd.elements.theImage.x) + '&sy=' + 
			(dd.elements.theCrop.y - dd.elements.theImage.y) + '&ex=' +
			((dd.elements.theCrop.x - dd.elements.theImage.x) + dd.elements.theCrop.w) + '&ey=' +
			((dd.elements.theCrop.y - dd.elements.theImage.y) + dd.elements.theCrop.h);
			
	}
	function my_SetResizingType(proportional)
	{
		if (proportional)
		{
			dd.elements.theCrop.scalable  = 1;
			dd.elements.theCrop.resizable = 0;
		}
		else
		{
			dd.elements.theCrop.scalable  = 0;
			dd.elements.theCrop.resizable = 1;
		}
	}
	
//-->
//alert(dd.elements.theImage.TRANSPARENT);
//dd.elements.theImage.div.style.filter = "alpha(opacity=50)";
//alert(dd.obj);
dd.elements.theImage.style="width:20px"; 
</script>
EOT;
				} 
} 

?>
