<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: 			*/
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2008 ARMIA INC                                    |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts EasySnaps                     |
// +----------------------------------------------------------------------+
// | Authors: simi<simi@armia.com>             		                      |
// +----------------------------------------------------------------------+
session_start();
function gdVersion($user_ver = 0)
{
   if (! extension_loaded('gd')) { return; }
   static $gd_ver = 0;
   // Just accept the specified setting if it's 1.
   if ($user_ver == 1) { $gd_ver = 1; return 1; }
   // Use the static variable if function was called previously.
   if ($user_ver !=2 && $gd_ver > 0 ) { return $gd_ver; }
   // Use the gd_info() function if possible.
   if (function_exists('gd_info')) {
       $ver_info = gd_info();
       preg_match('/\d/', $ver_info['GD Version'], $match);
       $gd_ver = $match[0];
       return $match[0];
   }
   // If phpinfo() is disabled use a specified / fail-safe choice...
   if (preg_match('/phpinfo/', ini_get('disable_functions'))) {
       if ($user_ver == 2) {
           $gd_ver = 2;
           return 2;
       } else {
           $gd_ver = 1;
           return 1;
       }
   }
   // ...otherwise use phpinfo().
   ob_start();
   phpinfo(8);
   $info = ob_get_contents();
   ob_end_clean();
   $info = stristr($info, 'gd version');
   preg_match('/\d/', $info, $match);
   $gd_ver = $match[0];
   return $match[0];
} // End gdVersion()
 
function splitsqlfile($sql, $delimiter)
{ 
    // Split up our string into "possible" SQL statements.
    $tokens = explode($delimiter, $sql); 
    // try to save mem.
    $sql = "";
    $output = array(); 
    // we don't actually care about the matches preg gives us.
    $matches = array(); 
    // this is faster than calling count($oktens) every time thru the loop.
    $token_count = count($tokens);
    for ($i = 0; $i < $token_count; $i++) {
        // Don't wanna add an empty string as the last thing in the array.
        if (($i != ($token_count - 1)) || (strlen($tokens[$i] > 0))) {
            // This is the total number of single quotes in the token.
            $total_quotes = preg_match_all("/'/", $tokens[$i], $matches); 
            // Counts single quotes that are preceded by an odd number of backslashes,
            // which means they're escaped quotes.
            $escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$i], $matches);

            $unescaped_quotes = $total_quotes - $escaped_quotes; 
            // If the number of unescaped quotes is even, then the delimiter did NOT occur inside a string literal.
            if (($unescaped_quotes % 2) == 0) {
                // It's a complete sql statement.
                $output[] = $tokens[$i]; 
                // save memory.
                $tokens[$i] = "";
            } else {
                // incomplete sql statement. keep adding tokens until we have a complete one.
                // $temp will hold what we have so far.
                $temp = $tokens[$i] . $delimiter; 
                // save memory..
                $tokens[$i] = ""; 
                // Do we have a complete statement yet?
                $complete_stmt = false;

                for ($j = $i + 1; (!$complete_stmt && ($j < $token_count)); $j++) {
                    // This is the total number of single quotes in the token.
                    $total_quotes = preg_match_all("/'/", $tokens[$j], $matches); 
                    // Counts single quotes that are preceded by an odd number of backslashes,
                    // which means they're escaped quotes.
                    $escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$j], $matches);

                    $unescaped_quotes = $total_quotes - $escaped_quotes;

                    if (($unescaped_quotes % 2) == 1) {
                        // odd number of unescaped quotes. In combination with the previous incomplete
                        // statement(s), we now have a complete statement. (2 odds always make an even)
                        $output[] = $temp . $tokens[$j]; 
                        // save memory.
                        $tokens[$j] = "";
                        $temp = ""; 
                        // exit the loop.
                        $complete_stmt = true; 
                        // make sure the outer loop continues at the right point.
                        $i = $j;
                    } else {
                        // even number of unescaped quotes. We still don't have a complete statement.
                        // (1 odd and 1 even always make an odd)
                        $temp .= $tokens[$j] . $delimiter; 
                        // save memory.
                        $tokens[$j] = "";
                    } 
                } // for..
            } // else
        } 
    } 
    return $output;
} 

function stripslashes_deep($value)
{
    $value = is_array($value) ?
    array_map('stripslashes_deep', $value) :
    stripslashes($value);
    return $value;
} 
function isValidTableName($str)
{
    if (trim($str) != "") {
        if (eregi ("[^a-zA-Z+_]", $str)) {
            return false;
        } else {
            return true;
        } 
    } else {
        return false;
    } 
} 
function isValidEmail($email)
{
    $email = trim($email);
    if ($email == "")
        return false;
    if (!eregi("^" . "[a-z0-9]+([_\\.-][a-z0-9]+)*" . // user
            "@" . "([a-z0-9]+([\.-][a-z0-9]+)*)+" . // domain
            "\\.[a-z]{2,}" . // sld, tld
            "$", $email, $regs)
            ) {
        return false;
    } else {
        return true;
    } 
} 
function isNotNull($value)
{
    if (is_array($value)) {
        if (sizeof($value) > 0) {
            return true;
        } else {
            return false;
        } 
    } else {
        if (($value != '') && (strtolower($value) != 'null') && (strlen(trim($value)) > 0)) {
            return true;
        } else {
            return false;
        } 
    } 
} 

function getFilePermission($file){
	$perm = fileperms($file);
	if($perm === false){
		return "0000";
	}else{
		return substr(sprintf('%o', $perm), -4);
	}
	
}
set_magic_quotes_runtime(0);

if (get_magic_quotes_gpc()) {
    $_POST = array_map('stripslashes_deep', $_POST);
    $_GET = array_map('stripslashes_deep', $_GET);
    $_COOKIE = array_map('stripslashes_deep', $_COOKIE);
} 

$schemafile = "schema_upgrade.sql";
$datafile = "data_upgrade.sql";
$configfile = "../includes/config.php";
require('../includes/config.php');
require('../includes/session.php');
//$cssfile = "../imagehosting.css";

//Section - A - include the settings  file here and assign the database connection 
//and open a live connecton here to the database

$var_host = $HOST;
$var_user = $USER;
$var_password = $PASSWORD;
$var_database = $DATABASENAME;
$txtDBPrefix = $tableprefix;
$flag = false;
$num = 0;
if ($connection = @mysql_connect($var_host,$var_user,$var_password)) {
	if (@mysql_select_db($var_database,$connection)) {
		$flag = true;
	}
	else {
		echo("Cannot select the db from the given connection.  Pleasecheck your configuration settings.");
		exit;
	}
}	
else {
	echo("Cannot select the db from the given connection.  Pleasecheck your configuration settings.");
	exit;
}

//End Section - A

$fullurl = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']);
if($_SERVER['HTTPS']=='on'){
	$http = "https://";
}else {
	$http = "http://";
}
$pos = strrpos($fullurl, "/");
if ($pos === false) { // note: three equal signs
    // not found...
} else {
    $fullurl = substr($fullurl, 0, $pos);
} 
$fullurl = $http . $fullurl;
$txtSiteURL = $fullurl;
/* *********************************check server configuration *****************************************************/
  $gdv = gdVersion();
  $val1 = ini_get("safe_mode");
  $val2 = ini_get("short_open_tag");
  $val3 = ini_get("file_uploads");
  $val4 = ini_get("open_basedir");
  
  $openbasedircheck="0" ;
  if((!empty($val4) || $val4==1) and  (!empty($val3) || $val3==1)){
  
		  if($_POST["submittest"] == "Upload"){
										    $uploadpath=substr($_FILES['testupload']['tmp_name'],0,strlen($_FILES['testupload']['tmp_name'])-strlen(basename($_FILES['testupload']['tmp_name']))-1);
											
											$val4=$val4.":"."  ";
											$openbasedirarray=explode(":",$val4);
											
											if(! in_array($uploadpath,$openbasedirarray)){
											  // echo "<br>&nbsp;&nbsp;".$ivf."Please add '$uploadpath' in your openbase directory ";
											
											}else{
											   $openbasedircheck="1";
											}
										    $_SESSION['sess_openbasedircheck']=$openbasedircheck;
	    }										
  }	else{
        $_SESSION['sess_openbasedircheck']="1";
  }		
  $gdvsupport=true;
  if($gdv){
			 $gdvsupportarray=gd_info();
			 $z=0;
			 
			 foreach($gdvsupportarray as $key=>$value){
					  if($z==3 or $z==10){
					       ;
					  }else{
							   if($gdvsupportarray[$key]){
							    //echo "<br>".$key. "enabled";
							   }else{
							      $gdvsupport=false;
							      //echo "<br>".$key."disabled";
							   }
					  } 
			     $z++;
			 }
	 
  }
	//exit;							
  if( (! empty($val1) || $val1==1) or  (empty($val2) || $val2 !=1) or (empty($val3) || $val3 !=1) or  ! $gdv or   !$gdvsupport or $_SESSION['sess_openbasedircheck'] !='1'){
	   $serverconfiguration="FAILURE";
  }else{
	
	 $serverconfiguration="OK";
	 
  }
  

/***********Server configuration check ends here*****************/


$upgrade = false;
if ($_POST["btnContinue"] == "Continue" ) {
    $imagedir = "../images/";
    $gallrydir = "../gallery/";
	$greetings = "../gallery/greetings/";
    $tmpeditdir = "../tmpeditimages/";
	$zipdir = "../zip/";
	$newsdir = "../news/";
	$pemdir = "../pem/";
	$userfiles="../userfiles/";
	
    $message = "";
    if (!function_exists('gd_info')) {
        $message .= " * Your PHP version does not support GD! Please recompile PHP with GD support to continue!" . "<br>";
        $error = true;
    } 

 
    if (!is_writable($configfile) || !is_readable($configfile) || !is_executable($configfile) ) {
        $error = true;
        $message .= " * Config file not writable! Please change the permission of 'includes/config.php' to 777 <br>";
    } 
	
	 if (!is_writable($greetings) || !is_readable($greetings) || !is_executable($greetings) ) {
        $error = true;
        $message .= " * Change the permission of 'gallery/greetings' folder in the root to 777 <br>";
    } 
    if (!is_writable($imagedir) || !is_readable($imagedir) || !@file_exists("$imagedir".".")  ) {
        $error = true;
        $message .= " * Change the permission of 'images' folder in the root to 777 <br>";
    } 
    if (!is_writable($gallrydir)|| !is_readable($gallrydir) || !@file_exists("$gallrydir".".") ) {
        $error = true;
        $message .= " * Change the permission of 'gallery' folder in the root to 777 <br>";
    } 
	 if (!is_writable($zipdir)|| !is_readable($zipdir) || !@file_exists("$zipdir".".") ) {
        $error = true;
        $message .= " * Change the permission of 'zip' folder in the root to 777 <br>";
    }
	if (!is_writable($newsdir)|| !is_readable($newsdir) || !@file_exists("$newsdir".".") ) {
        $error = true;
        $message .= " * Change the permission of 'news' folder in the root to 777 <br>";
    }
	 if (!is_writable($pemdir)|| !is_readable($pemdir) || !@file_exists("$pemdir".".") ) {
        $error = true;
        $message .= " * Change the permission of 'pem' folder in the root to 777 <br>";
    }
	if (!is_writable($userfiles)|| !is_readable($userfiles) || !@file_exists("$userfiles".".") ) {
        $error = true;
        $message .= " * Change the permission of 'userfiles' folder in the root to 777 <br>";
    }
	
	if( ini_get('safe_mode') ){//safe_mode is on
   		$error = true;
		$message .= " * The script requires PHP with safe mode Off to work properly. Installation cannot continue! <br>";
	}
    

    if ($error) {
        $message = "Please correct the following errors to continue:" . "<br>" . $message; 
        // echo $message;
    } else {
		@copy("../images/default.gif", "../gallery/images/default.gif");
	    @copy("../images/pwdprotected.gif", "../gallery/images/pwdprotected.gif");
	    @copy("../images/pwdptctd.gif", "../gallery/images/pwdptctd.gif");
		//uploading logo, watermark files
		if($logofilename == ""){
			$logofilename = "iglogo.gif";
		}else{
			if (move_uploaded_file( $_FILES['userfile']['tmp_name'][0], $logoimagedest)) {
			   chmod($logoimagedest,0777);
	           list($originalwidth, $originalheight, $originaltype) = getimagesize($logoimagedest);
	           if($originalwidth<=198 and $originalheight<=47){
	                                                  ;
	           }else{
			           $resizedimage=$logoimagedest;
			           if($originalwidth >=198){
			                 $imagewidth=198;
			           }else{
			                  $imagewidth=$originalwidth;
			          }
			          if($originalheight >=47){
			                          $imageheight=47;
			          }else{
			                 $imageheight=$originalheight;
			          }
			          ResizeImageTogivenWitdhAndHeight($logoimagedest.$file_name,$imageheight,$imagewidth,$resizedimage);
	          }
			
			  
			}else{
				$logofilename = "iglogo.gif";
			}
		}
		
		
        // writing to the config file....................
        $uniqueid = time() . mt_rand() . session_id();
        if (strlen($uniqueid) > 15) {
            $uniqueid = substr($uniqueid, 0, 15);
            $uniqueid = md5($uniqueid);
        } 
        $fp = fopen($configfile, "a+");
        $configcontent = "<?php\n";
		$configcontent .= "define('CURRENCY_CODE', '&#036;'); \n\n";
		$configcontent .= '$secureurl = "' . $txtSiteURL . "\";" . "\n";
		$configcontent .= '$rooturl = "' . $txtSiteURL . "\";" . "\n";
        $configcontent .= "\n?>";
        fwrite($fp, $configcontent);

        $sqlquery = @fread(@fopen($schemafile, 'r'), @filesize($schemafile));
        $sqlquery = preg_replace('/imghost_/', $txtDBPrefix, $sqlquery);
        $sqlquery = splitsqlfile($sqlquery, ";"); 
        // creating the tables......................................
        for($i = 0; $i < sizeof($sqlquery); $i++) {
            mysql_query($sqlquery[$i], $connection);
        } 

        $dataquery = @fread(@fopen($datafile, 'r'), @filesize($datafile));
        $dataquery = preg_replace('/imghost_/', $txtDBPrefix, $dataquery);
        $dataquery = splitsqlfile($dataquery, ";"); 
        // populating the tables with initial data......................................
        for($i = 0; $i < sizeof($dataquery); $i++) {
            mysql_query($dataquery[$i], $connection);
        } 
    
        $upgrade = true;
    } 
} 

?>

<html>
<head>
<title>Image Hosting Upgradation</title>
<meta name="description" content="SupportPRO - About SupportPRO.com team. Our excellent support engineers offers outsourced transparent customer support for webhosts and ISP at affordable prices. We are a US company with a support center in India.">
<meta name="keywords" content="SupportPRO, Support PRO, outsourced, outsource, Web hosting, Server support, Outsourced support, Outsourced technical support, 24/7, 24/7/365, 24/7 Support,24X7, Outsourcing,  Hosting Solutions, Web servers,
IT, ISP Support, PC Support, offshore, off shore, Customer Care, Customer Support, Linux Support, Windows Support, Linux, Windows, Redhat,Remote Services, Remote Support, Remote Admin, Server Administration, Ticket Support, Live chat support,helpdesk, ISP support, Email support, System Administration, Technical Support, Sales Support, Installation, Troubleshooting, Cpanel, ensim, whm, webmin, redhat, dns,Security, Server Monitoring, Server upgrades, Web Services, Chicago, illinois, Armia, USA, US based, Kerala, Kochi India">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../styles/Default.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
.install_option {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; color: #333333}
.install_value_ok { font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bold; color: #009900 }
.install_value_fail { font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 7pt; font-weight: bold; color: #CC0000}
-->
</style>
</head>
<body>
<table width="800"  border="0" align="center" cellpadding="0" cellspacing="0">
  <tr><td align=center valign=top>
<!-- Top Band -->
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0">
<tr>
<td>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="36%" bgcolor="#000000"><img src="../images/logo11.gif" width="300" height="83"></td>
        <td width="64%" valign="bottom" bgcolor="#000000">&nbsp;</td>
      </tr>
    </table>
    <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="subpageheader">
        <tr>
          <td width="82%" align="left" valign="top"><img src="../images/spacer.gif" width="800" height="131"></td>
        </tr>
      </table>

</td>
</tr>
</table>
<table width="100%"  border="0" cellspacing="0" cellpadding="15">
        <tr>
        <td bgcolor="#FC9618"><table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                  <tr>
                    <td width="3%" align="left" class="cornertopleft"><img src="../images/spacer.gif" width="21" height="21"></td>
                    <td width="29%">&nbsp;</td>
                    <td width="1%" align="right" valign="bottom" class="cornercenter"><span class="cornertopleft"><img src="../images/spacer.gif" width="21" height="21" class="cornercenter"></span></td>
                    <td width="64%" class="border">&nbsp;</td>
                    <td width="3%" align="right" class="border">&nbsp;</td>
                  </tr>
                  <tr>
                    <td>&nbsp;</td>
                    <td colspan="3" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="5">
				<tr>
					<td align=left class="subheadingCopy">Upgradation</td>
				</tr>
<?php if ($serverconfiguration=="FAILURE") { ?>				
				
				<tr><td align=center class="listing_user" >
					 <table width="100%" border=0>
					  
						 <?php
						 
						            $ivo = "<span class='install_value_ok'>";
									$ivf = "<span class='install_value_fail'>";
									$sc = "</span>";
															 echo "<tr><td class=listing_user><b>iScripts EasySnaps Installer</b><br><br></td></tr>";
									
                                
									echo "<tr><td class=listing_user>Checking PHP Version... " . $ivo.PHP_VERSION.$sc . " ";
									if(version_compare(PHP_VERSION,"4.2.0") >=0 ) echo $ivo."(ok)".$sc; else {echo $ivf."(4.2.0 or higher required)".$sc; $fatal = true;}
									echo "</td></tr>";
								   	
									echo "<tr><td class=listing_user>Checking System Information... " .$ivo. PHP_OS .$sc. "</td></tr>";
									
									echo "<tr><td class=listing_user>Checking PHP Server API... " . $ivo. php_sapi_name().$sc . "</td></tr>";
									
									echo "<tr><td class=listing_user>Checking Path to 'php.ini'... " . $ivo.PHP_CONFIG_FILE_PATH.$sc . "</td></tr>";
									
									
									echo "<tr><td class=listing_user>Checking PHP GD extension... "; 
									$gdv = gdVersion();
									echo $ivo . (( $gdv) ? "On" : " $ivf This program requires PHP GD extension. Please recompile your PHP with GD Support.") . $sc;
									echo "</td></tr>";
									$errmess="";
									 if($gdv){
									 		  $gdvsupportarray=@gd_info();
											  $z=0;
									         
											 foreach($gdvsupportarray as $key=>$value){
											  		if($z==3 or $z==10){
											  				;
											  		}else{
											   				if($gdvsupportarray[$key]){
											                   //echo "<br>".$key. "enabled";
											   				}else{
											      				$gdvsupport=false;
																$errmess .=$key." required,";
											                   //echo "<br>".$key."disabled";
											  		       }
											       } 
											      $z++;
											 }
									 
									}
									if($errmess !=""){
									echo "<tr><td class=listing_user>Checking currently installed GD library ... "; 
									$gdv = gdVersion();
									echo $ivo . (( $gdvsupport) ? "On" : " $ivf $errmess.") . $sc;
									echo "</td></tr>";
									}
									
									echo "<tr><td class=listing_user>Checking safe_mode... "; 
									$val1 = ini_get("safe_mode");
									echo  ((!empty($val1) || $val1==1) ? $ivf ."On-Please turn off safe_mode in the php.ini" : $ivo ."Off") . $sc;
									echo "</td></tr>";
									
									echo "<tr><td class=listing_user>Checking short_tags... "; 
									$val2 = ini_get("short_open_tag");
									echo  ((!empty($val2) || $val2==1) ?$ivo."On" : $ivf."Off-Please turn on short_tags in the php.ini") . $sc;
									echo "</td></tr>";
										echo "<tr><td class=listing_user>Checking file_uploads...";
									$val3 = ini_get("file_uploads");
									echo ((!empty($val3) || $val3==1) ? $ivo . "On" : $ivf . "Off - Please turn on file_uplaods in the php.ini file").$sc;
									echo "</td></tr>";
									echo "<tr><td class=listing_user>Checking open base directory...";
									$val4 = ini_get("open_basedir");
									echo ((!empty($val4) || $val4==1) ? $ivf . "On - $ivf Please upload a test file " : $ivo . "Off ") . $sc."</td></tr>";
									echo "<tr><td class=listing_user>";
									if((!empty($val4) || $val4==1)  and  (!empty($val3) || $val3==1) ){
									     if($_POST["submittest"] == "Upload"){
										         $uploadpath=substr($_FILES['testupload']['tmp_name'],0,strlen($_FILES['testupload']['tmp_name'])-strlen(basename($_FILES['testupload']['tmp_name']))-1);  
										         $uploadpatharray=explode("/",$uploadpath);
												 $openbasedirarray=explode(":",$val4);
												 $existflag=0;
												 $checkitem="";
												 for($i=1;$i<count($uploadpatharray);$i++){
												     $checkitem=$checkitem."/".$uploadpatharray[$i];
													 if(! in_array($checkitem,$openbasedirarray)  and ! in_array($checkitem."/",$openbasedirarray) ){
													    ;
													  }else{
													     $existflag=1;
														 break;
													  }
												  }
												  
												  if($existflag==1){
												     $openbasedircheck="1";
												  }else{
												     echo "<br>&nbsp;&nbsp;".$ivf."Please add '$uploadpath' in openbase directory entry of your configuration file.[contact your hosting provider]";
												     
												  }
										    $_SESSION['sess_openbasedircheck']=$openbasedircheck;
											
											
										}
									    if($openbasedircheck !="1"){
									?>   
									<form name=frmInstall method=post action="" enctype="multipart/form-data">
									     file :&nbsp;
									    <input type=file name=testupload class=textbox>
										<INPUT type="submit" name="submittest" value="Upload" class=button>
							    </form>
									<?php }
									    }
									echo "</td></tr>";	
									if( (! empty($val1) || $val1==1) or  (empty($val2) || $val2 !=1) or (empty($val3) || $val3 !=1) or  ! $gdv or $openbasedircheck !='1'){
										   echo "<tr><td class=listing_user>".$ivf."Fatal errors detected.  Please correct the above red items and reload.</td></tr>";
								    }

						 ?>
						 
					
					</table>
					</td>
				</tr>		
				<?php
} else if (!$upgrade ) {

    ?>
				<tr>
					<td align=center class="listing_user" >
					<b><font size="+1">Welcome to iScripts EasySnaps Upgradation</font></b>
					</td>
				</tr>
				<tr>
					<td align=center class="listing_user" >
					<b><font size="1">
					<div align="justify">
					<br>
						Thank you for choosing iScripts EasySnaps. <br><br>
						In order to complete this upgarade please fill out the details requested below. <br>Please note the following points before you continue:<br>
						&nbsp;&nbsp;&nbsp;&nbsp;1. Change the permission (chmod) of 'includes/config.php' to 777. (After upgradation dont forget to change it back to 644)<br> 
						&nbsp;&nbsp;&nbsp;&nbsp;2. Change the permission (chmod) of the folder 'gallery/greetings' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;3. Change the permission (chmod) of the folder 'images' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;4. Change the permission (chmod) of the folder 'gallery' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;5. Change the permission (chmod) of the folder 'tmpeditimages' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;6. Change the permission (chmod) of the folder 'zip' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;7. Change the permission (chmod) of the folder 'news' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;8. Change the permission (chmod) of the folder 'pem' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;9. Change the permission (chmod) of the folder 'userfiles' to 777. <br>
						&nbsp;&nbsp;&nbsp;&nbsp;10. The database you install into should already exist.<br> 
						&nbsp;&nbsp;&nbsp;&nbsp;11. After the upgrade process delete the 'upgrade' folder and its contents.

					</div>

					</font></b>
					</td>
				</tr>
				<tr>
					<td align=center class="errormessage" >
					<div align="left" class="errormessage">
					<?=$message;
    ?>
					</div>
					</td>
				</tr>
				<tr>
				  <td align=left><form name="frmUpgrade" method="post" action="<?=$_SERVER["PHP_SELF"];?>">
				           
							<table width=95% border=0 cellpadding="2" cellspacing="2" class=listing_user>
								<tr>
									<td align="center">
									<input type="submit" name="btnContinue" value="Continue" class="button">
									</td>
								</tr>
							</table>
			              </form></td>
				  </tr>
				<?php } else {?>
				<tr>
					<td align=center class="listing_user" >
					<b><font size="+1">Congratulations! The Upgradation Process is completed successfully!</font></b>
					</td>
				</tr>
				<tr>
					<td align=center class="listing_user" >
					<a href="../admin/login.php">Login to the admin panel</a> and change the settings to suit yours.
					</td>
				</tr>		
				<?php } 

?>
				
				
			</table>
 </td>
					 <td align="right" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                       <tr>
                         <td align="right" class="cornertopright"><img src="../images/spacer.gif" width="23" height="21"></td>
                       </tr>
                     </table></td>
                  </tr>
                  <tr>
                    <td align="left" valign="bottom" class="cornerbottomleft"><img src="../images/spacer.gif" width="23" height="21"></td>
                    <td colspan="3">&nbsp;</td>
                    <td align="right" valign="bottom" class="cornerbottomright"><img src="../images/spacer.gif" width="23" height="21"></td>
                  </tr>
              </table></td>
        </tr>
      </table>
<!-- Footer Links -->
 <table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#000000" class="powerdby">
        <tr>
          <td height="25" align="center" bgcolor="#000000">Powered by EasySnaps . A premium product from <a href="http://www.iscripts.com/" target="_blank">iScripts.com</a></td>
        </tr>
      </table></td>
  </tr>
</table>
</body>
</html>
