DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_aff_ref_txns;

CREATE TABLE @@DB_MAIN_PREFIX@@_aff_ref_txns (
  nid int(11) NOT NULL auto_increment,
  n_aff_id int(11) default NULL,
  n_ref_id int(11) default NULL,
  nuser_id int(11) default NULL,
  ddate date default NULL,
  namount float default NULL,
  vsettled_status varchar(5) default '0',
  vsettled_type varchar(20) default NULL,
  vsettled_ref_no varchar(50) default NULL,
  dsettled_date datetime default NULL,
  PRIMARY KEY  (nid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_affiliates;

CREATE TABLE @@DB_MAIN_PREFIX@@_affiliates (
  naff_id int(11) NOT NULL auto_increment,
  vaff_name varchar(100) default NULL,
  vaff_login varchar(100) default NULL,
  vaff_pass varchar(100) default NULL,
  vaff_mail varchar(100) default NULL,
  vaff_address varchar(100) default NULL,
  vaff_city varchar(100) default NULL,
  vaff_state varchar(100) default NULL,
  vaff_country varchar(100) default NULL,
  vaff_zip varchar(20) default NULL,
  vaff_phone varchar(20) default NULL,
  vdelstatus char(1) NOT NULL default '0',
  ddate_reg date default '0000-00-00',
  PRIMARY KEY  (naff_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_albums;

CREATE TABLE @@DB_MAIN_PREFIX@@_albums (
  albumid bigint(20) NOT NULL auto_increment,
  parentid bigint(20) default '0',
  route varchar(200) default NULL,
  userid int(11) NOT NULL default '0',
  name varchar(100) NOT NULL default '',
  title varchar(100) default NULL,
  description varchar(200) default NULL,
  datecreated date NOT NULL default '0000-00-00',
  password varchar(30) default NULL,
  coverid tinyint(4) default NULL,
  frameid tinyint(4) default NULL,
  bgmusicid tinyint(4) default NULL,
  typeid tinyint(4) default NULL,
  hits int(11) default NULL,
  tags varchar(250) default NULL,
  aposition int(11) default NULL,
  active enum('0','1') default NULL,
  PRIMARY KEY  (albumid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_backgrounds;

CREATE TABLE @@DB_MAIN_PREFIX@@_backgrounds (
  bgid tinyint(4) NOT NULL auto_increment,
  bgname varchar(100) NOT NULL default '',
  bgimage varchar(30) NOT NULL default '',
  active enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (bgid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_banners;

CREATE TABLE @@DB_MAIN_PREFIX@@_banners (
  bannerid bigint(20) NOT NULL auto_increment,
  bannername varchar(200) default NULL,
  bannerlocurl varchar(200) default NULL,
  bannerimageurl varchar(200) default NULL,
  bannerdate datetime NOT NULL default '0000-00-00 00:00:00',
  bannerwidth varchar(100) default NULL,
  bannerheight varchar(100) default NULL,
  baposition int(11) default '0',
  active enum('0','1') default '0',
  PRIMARY KEY  (bannerid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_bgmusic;

CREATE TABLE @@DB_MAIN_PREFIX@@_bgmusic (
  bgid int(11) NOT NULL auto_increment,
  name varchar(100) default NULL,
  file varchar(100) default NULL,
  bposition int(11) default '0',
  active enum('0','1') default '0',
  PRIMARY KEY  (bgid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_client_module_category;

CREATE TABLE @@DB_MAIN_PREFIX@@_client_module_category (
  CategoryId mediumint(9) NOT NULL auto_increment,
  ParentId int(11) default '0',
  CategoryTitle varchar(100) NOT NULL default '',
  CategoryFile varchar(100) NOT NULL default '',
  Cposition varchar(10) default NULL,
  Active enum('0','1') default NULL,
  tmp_status int(11) default NULL,
  PRIMARY KEY  (CategoryId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_covers;

CREATE TABLE @@DB_MAIN_PREFIX@@_covers (
  coverid smallint(6) NOT NULL auto_increment,
  covername varchar(100) NOT NULL default '',
  covertopleft varchar(100) default NULL,
  covertop varchar(100) NOT NULL default '',
  covertopright varchar(100) default NULL,
  coverright varchar(100) NOT NULL default '',
  coverbottomright varchar(100) default NULL,
  coverbottom varchar(100) NOT NULL default '',
  coverbottomleft varchar(100) default NULL,
  coverleft varchar(100) NOT NULL default '',
  defaultimage varchar(100) NOT NULL default '',
  cposition int(11) NOT NULL default '0',
  active enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (coverid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_files;

CREATE TABLE @@DB_MAIN_PREFIX@@_files (
  nfile_id int(11) NOT NULL auto_increment,
  vfile_name varchar(50) default NULL,
  vfile_extensions varchar(5) default NULL,
  vfile_url varchar(75) default NULL,
  vfile_type varchar(10) default 'public',
  userid int(11) default NULL,
  vfile_header varchar(50) default NULL,
  vpassword varchar(20) default NULL,
  vfile_size bigint(20) default NULL,
  flposition int(11) default '0',
  active enum('0','1') default '0',
  PRIMARY KEY  (nfile_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_filetypes;

CREATE TABLE @@DB_MAIN_PREFIX@@_filetypes (
  nfiletype_id int(11) NOT NULL auto_increment,
  vfiletype_extension varchar(10) default NULL,
  vfiletype_desc varchar(25) default NULL,
  vfiletype_header varchar(50) default NULL,
  fposition int(11) default '0',
  active enum('0','1') default '0',
  PRIMARY KEY  (nfiletype_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_frames;

CREATE TABLE @@DB_MAIN_PREFIX@@_frames (
  frameid smallint(6) NOT NULL auto_increment,
  framename varchar(100) NOT NULL default '',
  frametopleft varchar(100) NOT NULL default '',
  frametop varchar(100) NOT NULL default '',
  frametopright varchar(100) NOT NULL default '',
  frameright varchar(100) NOT NULL default '',
  framebottomright varchar(100) NOT NULL default '',
  framebottom varchar(100) NOT NULL default '',
  framebottomleft varchar(100) NOT NULL default '',
  frameleft varchar(100) NOT NULL default '',
  fposition int(11) NOT NULL default '0',
  active enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (frameid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_greetings;

CREATE TABLE @@DB_MAIN_PREFIX@@_greetings (
  greetingsid int(11) NOT NULL auto_increment,
  imagename varchar(200) default NULL,
  message varchar(200) default NULL,
  createddate date default '0000-00-00',
  expirydate date default '0000-00-00',
  PRIMARY KEY  (greetingsid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_guestbook;

CREATE TABLE @@DB_MAIN_PREFIX@@_guestbook (
  gbid bigint(20) unsigned NOT NULL auto_increment,
  gbtitle varchar(200) default NULL,
  gbdescription text NOT NULL,
  gbownerid bigint(20) NOT NULL default '0',
  gbpostername varchar(100) NOT NULL default '',
  gbposteremail varchar(100) NOT NULL default '',
  gbpostdate date NOT NULL default '0000-00-00',
  gposition int(11) NOT NULL default '0',
  active enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (gbid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_imageComments;

CREATE TABLE @@DB_MAIN_PREFIX@@_imageComments (
  commnt_id int(11) NOT NULL auto_increment,
  img_id int(11) default NULL,
  user_id int(11) default NULL,
  comments text,
  posteddate date default '0000-00-00',
  active enum('0','1') default '1',
  type varchar(10) default NULL,
  cposition int(11) default NULL,
  PRIMARY KEY  (commnt_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_imagenotes;

CREATE TABLE @@DB_MAIN_PREFIX@@_imagenotes (
  id int(11) NOT NULL auto_increment,
  userid int(11) default NULL,
  imageid varchar(250) default NULL,
  notes varchar(250) default NULL,
  posteddate date NOT NULL default '0000-00-00',
  leftside int(11) default NULL,
  topside int(11) default NULL,
  width int(11) default NULL,
  height int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_images;

CREATE TABLE @@DB_MAIN_PREFIX@@_images (
  imageid bigint(20) NOT NULL auto_increment,
  albumid int(11) default NULL,
  imagename varchar(100) NOT NULL default '',
  imagedescription text,
  imagetitle varchar(100) default NULL,
  userid int(11) NOT NULL default '0',
  dateuploaded date NOT NULL default '0000-00-00',
  assignedname varchar(100) default NULL,
  imagetype varchar(10) NOT NULL default '',
  size double NOT NULL default '0',
  height smallint(6) NOT NULL default '0',
  width smallint(6) NOT NULL default '0',
  frameid tinyint(4) default NULL,
  approved char(1) default 'Y',
  favourite enum('Y','N') NOT NULL default 'N',
  thismonth date NOT NULL default '0000-00-00',
  iposition int(11) NOT NULL default '0',
  tags varchar(250) default NULL,
  hits int(11) default '0',
  price float default '0',
  PRIMARY KEY  (imageid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_member_pic_cart;

CREATE TABLE @@DB_MAIN_PREFIX@@_member_pic_cart (
  Id int(10) unsigned NOT NULL auto_increment,
  img_id int(10) unsigned NOT NULL default '0',
  user_id int(10) unsigned default NULL,
  posteddate date default '0000-00-00',
  type char(1) default 'C',
  qty int(11) default '1',
  tmp_method char(2) default 'R',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_news;

CREATE TABLE @@DB_MAIN_PREFIX@@_news (
  id int(11) NOT NULL auto_increment,
  title varchar(100) default NULL,
  description text,
  currentdate date default '0000-00-00',
  expiry_date date default '0000-00-00',
  nposition int(11) default NULL,
  archive int(11) default NULL,
  active enum('0','1') default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_order;

CREATE TABLE @@DB_MAIN_PREFIX@@_order (
  orderid int(11) NOT NULL auto_increment,
  userid int(11) default NULL,
  orderdate date default '0000-00-00',
  status varchar(10) default NULL,
  paymentmethod varchar(10) default NULL,
  transactionid varchar(50) default NULL,
  PRIMARY KEY  (orderid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_order_details;

CREATE TABLE @@DB_MAIN_PREFIX@@_order_details (
  detailsid int(11) NOT NULL auto_increment,
  orderid int(11) default NULL,
  imgid int(11) default NULL,
  download_link varchar(200) default NULL,
  PRIMARY KEY  (detailsid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_payments;

CREATE TABLE @@DB_MAIN_PREFIX@@_payments (
  paymentid bigint(20) unsigned NOT NULL auto_increment,
  paymentdate date default NULL,
  amountpaid float default NULL,
  paymentmethod varchar(20) default NULL,
  transactionid varchar(50) default NULL,
  comments text,
  status varchar(20) NOT NULL default 'A',
  pp_subscriptionid varchar(200) NOT NULL default '0',
  PRIMARY KEY  (paymentid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_plans;

CREATE TABLE @@DB_MAIN_PREFIX@@_plans (
  planid int(11) NOT NULL auto_increment,
  planname varchar(100) NOT NULL default '',
  description varchar(200) NOT NULL default '',
  plantype enum('F','P') NOT NULL default 'F',
  planperiods int(11) default '0',
  planperiodtype enum('M','Y') default 'M',
  annualcharge float NOT NULL default '0',
  allotedspace int(11) NOT NULL default '0',
  maximages int(11) NOT NULL default '0',
  maxalbums int(11) NOT NULL default '0',
  watermark char(1) NOT NULL default '',
  allowzip char(1) NOT NULL default '',
  allowhotlinking char(1) NOT NULL default '',
  planweightage tinyint(4) default '0',
  checkoutid varchar(100) default '',
  recurring char(1) default 'Y',
  pposition int(11) default '0',
  active enum('0','1') default '1',
  PRIMARY KEY  (planid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_rating;

CREATE TABLE @@DB_MAIN_PREFIX@@_rating (
  id int(11) NOT NULL auto_increment,
  img_id int(11) default NULL,
  rate int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_settings;

CREATE TABLE @@DB_MAIN_PREFIX@@_settings (
  activationtype enum('A','E','M') NOT NULL default 'A',
  imageapprovaltype enum('A','M') NOT NULL default 'A',
  albumapprovaltype enum('A','M') NOT NULL default 'A',
  optimizeimage char(1) NOT NULL default 'N',
  maximagesize int(11) NOT NULL default '0',
  maxzipsize int(11) default NULL,
  allowedimagetypes varchar(200) NOT NULL default '',
  logoimage varchar(200) NOT NULL default '',
  wmimagesmall varchar(200) NOT NULL default '',
  wmimagebig varchar(200) NOT NULL default '',
  adminusername varchar(100) default NULL,
  adminpassword varchar(100) default NULL,
  paymentmethod char(2) default NULL,
  enablepaypal char(1) default NULL,
  enablepaypalsandbox char(1) default NULL,
  paypalemail varchar(100) default NULL,
  authorizeloginid varchar(100) default NULL,
  authorizetranskey varchar(100) default NULL,
  authorizepassword varchar(100) default NULL,
  authorizeemail varchar(100) default NULL,
  checkoutdemo char(1) default 'Y',
  checkouttranskey varchar(100) default NULL,
  paypalauthtokenid varchar(200) default NULL,
  authorizedemo varchar(10) NOT NULL default 'YES',
  watermarkalignment varchar(100) NOT NULL default 'center',
  watermarkrepeat varchar(100) NOT NULL default 'NO',
  naffiliate_comm int(11) default '0',
  admin_email varchar(100) default NULL,
  vadmin_signature varchar(150) default NULL,
  enablegoogle char(1) default NULL,
  enablegooglesandbox char(3) default NULL,
  googleid varchar(100) default NULL,
  googlekey varchar(100) default NULL,
  style varchar(25) default NULL,
  plantype varchar(25) default NULL,
  googleaddemo char(3) default NULL,
  googleadvalue text default NULL,
  pemfolder varchar(25) default NULL,
  urpaystoreid varchar(100) default NULL,
  urpaydemo varchar(10) NOT NULL default 'YES',
  feedname varchar(250) default NULL
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_tmp_user;

CREATE TABLE @@DB_MAIN_PREFIX@@_tmp_user (
  userid int(11) default NULL,
  sessid varchar(100) default NULL
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_tmppaypalusers;

CREATE TABLE @@DB_MAIN_PREFIX@@_tmppaypalusers (
  tmpuserid int(11) NOT NULL auto_increment,
  username varchar(100) NOT NULL default '',
  password varchar(100) NOT NULL default '',
  firstname varchar(30) NOT NULL default '',
  lastname varchar(30) default NULL,
  email varchar(100) NOT NULL default '',
  dateofregistration date NOT NULL default '0000-00-00',
  subscriptionplan int(11) default NULL,
  type char(1) default 'R',
  PRIMARY KEY  (tmpuserid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_types;

CREATE TABLE @@DB_MAIN_PREFIX@@_types (
  typeid tinyint(4) NOT NULL auto_increment,
  ttype varchar(100) NOT NULL default '',
  description varchar(200) NOT NULL default '',
  active enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (typeid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_userplans;

CREATE TABLE @@DB_MAIN_PREFIX@@_userplans (
  userplanid int(11) NOT NULL auto_increment,
  planid tinyint(4) NOT NULL default '0',
  planname varchar(100) default NULL,
  description varchar(200) default NULL,
  plantype char(1) default NULL,
  annualcharge float default NULL,
  allotedspace tinyint(4) default NULL,
  maximages smallint(6) default NULL,
  maxalbums smallint(6) default NULL,
  watermark char(1) default NULL,
  allowzip char(1) default NULL,
  allowhotlinking char(1) default NULL,
  userid int(11) NOT NULL default '0',
  dateofpurchase date NOT NULL default '0000-00-00',
  dateofexpiry date default NULL,
  planstatus char(1) NOT NULL default '',
  amountpaid float default NULL,
  paymentid int(11) default NULL,
  remarks varchar(200) default NULL,
  coupon_id int(11) NOT NULL default '0',
  PRIMARY KEY  (userplanid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_users;

CREATE TABLE @@DB_MAIN_PREFIX@@_users (
  userid int(11) NOT NULL auto_increment,
  username varchar(100) NOT NULL default '',
  password varchar(100) NOT NULL default '',
  firstname varchar(30) NOT NULL default '',
  lastname varchar(30) default NULL,
  email varchar(100) NOT NULL default '',
  dateofregistration date NOT NULL default '0000-00-00',
  dateofactivation date NOT NULL default '0000-00-00',
  accountstatus char(1) default NULL,
  currentuserplanid int(11) NOT NULL default '0',
  deleted char(1) default 'N',
  affi_Id int(11) default NULL,
  PRIMARY KEY  (userid)
) TYPE=MyISAM;


DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_user_image_payment_settle;

CREATE TABLE @@DB_MAIN_PREFIX@@_user_image_payment_settle (
  sid int(11) NOT NULL auto_increment,
  orderid int(11) default NULL,
  suserid int(11) default NULL,
  ddate date default '0000-00-00',
  samount float default NULL,
  status enum('0','1') default '0',
  settled_type varchar(20) default NULL,
  settled_refno varchar(50) default NULL,
  settled_date date default '0000-00-00',
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_homepagedisplay;

CREATE TABLE @@DB_MAIN_PREFIX@@_homepagedisplay (
  id int(11) NOT NULL auto_increment,
  image varchar(200) default NULL,
  active enum('0','1') default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_coupons;

CREATE TABLE @@DB_MAIN_PREFIX@@_coupons (
  coupon_id int(11) NOT NULL auto_increment,
  coupon_number char(5) default NULL,
  start_date date default '0000-00-00',
  end_date date default '0000-00-00',
  discount_percent int(11) default NULL,
  active enum('0','1') default '0',
  PRIMARY KEY  (coupon_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS @@DB_MAIN_PREFIX@@_AffiliateBanner;

CREATE TABLE @@DB_MAIN_PREFIX@@_AffiliateBanner (
  Id int(11) NOT NULL auto_increment,
  ImageName varchar(100) default NULL,
  Bposition int(11) default NULL,
  Active enum('0','1') default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


INSERT INTO @@DB_MAIN_PREFIX@@_types VALUES (1,'Private','Can be viewed by the owner only','1'),(2,'Public','Can be viewed by anybody','1'),(3,'Protected','Can be seen by anybody with password. Password protected.','1');
INSERT INTO @@DB_MAIN_PREFIX@@_backgrounds VALUES (1,'Mosaic Beige','mosaic_beige.jpg','1');
INSERT INTO @@DB_MAIN_PREFIX@@_covers VALUES (1,'Elegant','c1.gif','c5.gif','c4.gif','c9.gif','c6.gif','c7.gif','c8.gif','c3.gif','default.gif',2,'1'),(2,'Cover2','Cover2_covertopleft_1179288323_1.gif','Cover2_covertop_1179288323_1.gif','Cover2_covertopright_1179288323_1.gif','Cover2_coverright_1179288323_1.gif','Cover2_coverbottomright_1179288323_1.gif','Cover2_coverbottomt_1179288323_1.gif','Cover2_coverbottomleft_1179288323_1.gif','Cover2_coverleft_1179288323_1.gif','Cover2_defaultcover_1179288323_1.jpg',1,'1');
INSERT INTO @@DB_MAIN_PREFIX@@_frames VALUES (1,'Classic','topleft001.jpg','top001.jpg','topright001.jpg','right001.jpg','bottomright001.jpg','bottom001.jpg','bottomleft001.jpg','left001.jpg','1','1'),(2,'Golden','topleft002.jpg','top002.jpg','topright002.jpg','right002.jpg','bottomright002.jpg','bottom002.jpg','bottomleft002.jpg','left002.jpg','2','1'),(3,'Default','topleft003.jpg','top003.jpg','topright003.jpg','right003.jpg','bottomright003.jpg','bottom003.jpg','bottomleft003.jpg','left003.jpg','3','1'),(4,'Clear','topleft004.jpg','top004.jpg','topright004.jpg','right004.jpg','bottomright004.jpg','bottom004.jpg','bottomleft004.jpg','left004.jpg','4','1'),(5,'Nostalgic','topleft005.gif','top005.gif','topright005.gif','right005.gif','bottomright005.gif','bottom005.gif','bottomleft005.gif','left005.gif','5','1');
INSERT INTO @@DB_MAIN_PREFIX@@_plans VALUES (1,'Free Plan','Basic free plan','F',1,'Y',0,1,5,5,'Y','Y','N', '0','','Y','1','1');
INSERT INTO @@DB_MAIN_PREFIX@@_bgmusic VALUES (1,'Music1','default@Music1@1179209311.mid',2,'1'),(2,'Music2','default@Music2@1179209321.mid',1,'1');
INSERT INTO @@DB_MAIN_PREFIX@@_client_module_category VALUES (1,39,'Home','index.php','Top','1',0),(2,39,'Search','search.php','Top','1',0),(3,39,'Gallery','gallery.php','Top','1',0),(4,39,'Files','allfiles.php','Top','1',1),(5,39,'Features','features.php','Top','1',0),(6,39,'Signup','register.php','Top','1',0),(7,39,'Login','login.php','Top','1',0),(8,45,'About Us','aboutus.php','Footer','1',1),(9,43,'FAQ','faq.php','Footer','1',1),(10,45,'Contact Us','contactus.php','Footer','1',1),(11,46,'Terms','terms.php','Footer','1',1),(12,46,'Privacy','privacy.php','Footer','1',1),(13,41,'Last 7 Days','last_7_days.php','Footer','1',1),(15,40,'Profile','editprofile.php','Logged','1',0),(16,40,'Upgrade','upgrade.php','Logged','1',1),(17,40,'Account Info','accountinfo.php','Logged','1',0),(18,40,'My Albums','myalbums.php','Logged','1',0),(19,40,'Cancel Subscription','cancelsub.php','Logged','1',0),(20,40,'Advertise Albums','advertise.php','Logged','1',1),(21,40,'Upload','uploadimage.php','Logged','1',1),(22,4,'My Files','myfiles.php','Logged','0',0),(23,40,'Visitors Page','visitorspage.php','Logged','1',0),(24,40,'Guest Book','gbentries.php','Logged','1',1),(25,40,'My Favourites','favourites.php','Logged','1',0),(26,41,'Popular Tags','popular_tags.php','Footer','1',1),(27,42,'Tell Friends','tell_a_friend.php','Footer','1',1),(28,41,'This Month','this_month_calander.php','Footer','1',1),(29,39,'Affiliates','affiliates.php','Top','1',1),(30,42,'News','news.php','Footer','1',1),(32,39,'My Cart','shopping_cart.php','Top','1',1),(33,39,'Wishlist','wishlist.php','Top','1',1),(35,32,'Order Details','order_details.php','Logged','1',0),(36,42,'Greetings','greetings.php','Footer','1',1),(37,41,'Advanced Slide Show','advanced_slideshow.php','Footer','1',1),(39,0,'Top Section','','Top','0',1),(40,0,'Logged Section','','Logged','0',1),(41,0,'Browse','','Footer','1',1),(42,0,'Others','','Footer','1',1),(43,0,'Help','','Footer','1',0),(44,43,'Manual','','Footer','1',0),(45,0,'General','','Footer','1',1),(46,0,'Policy','','Footer','1',1),(48,40,'Logout','logout.php','Logged','1',0),(49,0,'Extra Modules','','extra','0',1),(50,49,'Coupons','manage_coupons.php','extra','0',1);
INSERT INTO @@DB_MAIN_PREFIX@@_homepagedisplay VALUES (1,'admin_homeimage_1183547208_1.jpg','1'),(2,'admin_homeimage_1183547216_1.jpg','1'),(3,'admin_homeimage_1183547227_1.jpg','1'),(4,'admin_homeimage_1183547235_1.jpg','1'),(5,'admin_homeimage_1183547242_1.jpg','1'),(6,'admin_homeimage_1183547248_1.jpg','1');
INSERT INTO @@DB_MAIN_PREFIX@@_filetypes VALUES (1,'zip','ZIP File','application/x-zip',1,'1'),(2,'txt','TEXT Files','text/plain',2,'1'),(3,'pdf','PDF Files','application/pdf',3,'1'),(4,'swf','FLASH Files','application/x-shockwave-flash',4,'1');
INSERT INTO @@DB_MAIN_PREFIX@@_AffiliateBanner VALUES (1,'affiliatebanner1190882809.gif',2,'1'),(2,'affiliatebanner1190882871.gif',1,'1');
INSERT INTO @@DB_MAIN_PREFIX@@_settings (activationtype, imageapprovaltype, albumapprovaltype, optimizeimage,
	maximagesize, maxzipsize, allowedimagetypes, logoimage, wmimagesmall, wmimagebig, adminusername,
	adminpassword, paymentmethod, enablepaypal, enablepaypalsandbox, paypalemail, authorizeloginid,
	authorizetranskey, authorizepassword, authorizeemail, checkoutdemo, checkouttranskey,
	paypalauthtokenid, authorizedemo, watermarkalignment, watermarkrepeat, naffiliate_comm, admin_email,
	vadmin_signature, enablegoogle, enablegooglesandbox, googleid, googlekey, style, plantype,
	googleaddemo, googleadvalue, pemfolder, urpaystoreid, urpaydemo, feedname )
 VALUES ( 'A', 'A', 'A', 'Y', 1048576, 2097152, 'gif,jpg,jpeg,png', 'logo11.gif', 'wmimagesmall.gif',
	'wmimagebig.gif', '@@ADMIN_LOGIN@@', '@@ADMIN_PASSWD@@', 'NN', 'N', 'N', '', '', '', '', '', 'N', 
	'', '', 'NO', 'center', 'NO', '0', '@@ADMIN_EMAIL@@', '@@ADMIN_LOGIN@@', 'N', 'NO', '', '', 
	'orange.css', 'onetime', 'no', '', '', '', 'YES', '' );
